libtheora 1.1.1

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

th_comment | The comment information
th_huff_code | A Huffman code for a Theora DCT token
th_img_plane | A buffer for a single color plane in an uncompressed image
th_info | Theora bitstream information
th_quant_info | A complete set of quantization parameters
th_quant_ranges | A set of qi ranges
th_stripe_callback | The striped decode callback data to pass to TH_DECCTL_SET_STRIPE_CB
theora_comment | Comment header metadata
theora_info | Theora bitstream info
theora_state | Codec internal state and context
yuv_buffer | A YUV buffer for passing uncompressed frames to and from the codec